GLSA-201611-19 : Tar: Extract pathname bypass

Medium Nessus Plugin ID 95270


The remote Gentoo host is missing one or more security-related patches.


The remote host is affected by the vulnerability described in GLSA-201611-19 (Tar: Extract pathname bypass)

Tar attempts to avoid path traversal attacks by removing offending parts of the element name at extract. This sanitizing leads to a vulnerability where the attacker can bypass the path name(s) specified on the command line.
Impact :

The attacker can create a crafted tar archive that, if extracted by the victim, replaces files and directories the victim has access to in the target directory, regardless of the path name(s) specified on the command line.
Workaround :

There is no known workaround at this time.


All Tar users should upgrade to the latest version:
# emerge --sync # emerge --ask --oneshot --verbose '>=app-arch/tar-1.29-r1'

See Also

Plugin Details

Severity: Medium

ID: 95270

File Name: gentoo_GLSA-201611-19.nasl

Version: $Revision: 3.3 $

Type: local

Published: 2016/11/23

Modified: 2016/12/21

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N


Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

Vulnerability Information

CPE: p-cpe:/a:gentoo:linux:tar, cpe:/o:gentoo:linux

Required KB Items: Host/local_checks_enabled, Host/Gentoo/release, Host/Gentoo/qpkg-list

Patch Publication Date: 2016/11/22

Reference Information

CVE: CVE-2016-6321

GLSA: 201611-19